%define lib_major 3
%define lib_name %mklibname %name %lib_major 

Name:          taskjuggler
URL:           http://www.taskjuggler.org
License:       GPL
Group:         Graphical desktop/KDE 
Summary:       Project management software
Version:       2.4.0
Release:       %mkrel 2
Source0:       http://www.taskjuggler.org/download/%name-%{version}.tar.bz2
BuildRequires: libxslt-devel, tetex, kdepim-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Patch3:	       taskjuggler-2.1-fix-compile.patch
Requires:      %lib_name = %version-%release, printer-utils
Obsoletes:     %name-kde

%description
TaskJuggler is a project management tool for Linux and UNIX based
operating systems. Whether you want to plan your college's shifts for
the next month or want to build a skyscraper - TaskJuggler is the tool
for you.

Instead of clicking painfully through hundreds of dialog boxes you
specify your TaskJuggler project in a simple text format. You simply
list all your tasks and their dependencies. The information is sent
through TaskJuggler and you will get all sorts of reports in HTML or
XML format.

TaskJuggler not only honors the task interdependencies but also takes
resource constraints into account. Using TaskJuggler's powerful
filtering and reporting algorithms you can create task lists, resource
usage tables, status reports, project calendars, and project accounting
statements.

%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Librairies files for taskjuggler
Obsoletes:  %lib_name-devel
Obsoletes:  %mklibname %name 0
Obsoletes:  %mklibname -d %name 0

%description -n %lib_name
Librairies file for taskjuggler

%prep
%setup -q -n %name-%{version}
%patch3 -p1 -b .fix_compile

%build
make -f Makefile.cvs

%configure2_5x	--with-kde-support=yes
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# don't provide those dev files now
rm -f %buildroot%_libdir/*.{la,so}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/libtaskjuggler.so.%{lib_major}*

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%doc %_datadir/doc/packages/%{name}
%_bindir/*
%_datadir/config/*
%_datadir/mimelnk/application/*
%_datadir/apps/taskjuggler

%_datadir/apps/katepart/syntax/*

%_iconsdir/hicolor/*/apps/*
%_iconsdir/crystalsvg/*/mimetypes/*

%_datadir/applications/kde/*.desktop


%changelog
* Mon Aug 20 2007 Funda Wang <fundawang@mandriva.org> 2.4.0-2mdv2008.0
+ Revision: 67175
- Don't provide devel files
- ldconfig is not needed for main package
- drop devel package, merge kde subpackage into main package
- cleanup file list
- Provides for name-devel
- New version 2.4.0
- spec cleanup


* Tue Mar 20 2007 Laurent Montel <lmontel@mandriva.com> 2.3.1-1mdv2007.1
+ Revision: 146881
- 2.3.1

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - sync sources
    - New version
    - import taskjuggler-2.2.0-3mdv2007.0

* Thu Sep 07 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-3
- Rebuild

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-2mdk
- Fix compile on x86_64

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-1mdk
- 2.2.0

* Wed Nov 23 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-0.beta2.1mdk
- 2.2.0beta2

* Sun Nov 06 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-0.beta1.1mdk
- 2.2.0beta1

* Thu Aug 11 2005 Laurent MONTEL <lmontel@mandriva.com> 2.1.1-1mdk
- 2.1.1

* Thu Jul 21 2005 Laurent MONTEL <lmontel@mandriva.com> 2.1.1-0.beta2.1mdk
- 2.1.1-beta2

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- 2.1

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-6mdk
- Add print-utils as requires

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-5mdk
- Rebuild with good dependancy

* Thu Dec 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Libification

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Update code from cvs

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix spec file

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- Initial package

